/*
 * Copyright 2016 Resin.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

'use strict';

/**
 * @module Etcher.path
 */

const angular = require('angular');
const path = require('path');

const pathModule = angular.module('Etcher.path', []);

pathModule.filter('basename', function() {

  /**
   * @summary Get the basename of a path
   * @function
   * @public
   *
   * @param {String} input - input path
   * @returns {String} path basename
   *
   * @example
   * {{ '/foo/bar/baz' | basename }}
   */
  return path.basename;
});
